## org.apache.hive.jdbc
Class HttpKerberosRequestInterceptor

    java.lang.Object
      org.apache.hive.jdbc.HttpKerberosRequestInterceptor

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class HttpKerberosRequestInterceptor

extends Object
implements org.apache.http.HttpRequestInterceptor

Authentication interceptor which adds Base64 encoded payload, containing the username and kerberos service ticket, to the outgoing http request header.

Constructor Summary
`HttpKerberosRequestInterceptor(String principal, String host, String serverHttpUrl)`

Method Summary
`void` `process(org.apache.http.HttpRequest httpRequest, org.apache.http.protocol.HttpContext httpContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpKerberosRequestInterceptor

    public HttpKerberosRequestInterceptor(String principal,
                                          String host,
                                          String serverHttpUrl)

Method Detail

### process

    public void process(org.apache.http.HttpRequest httpRequest,
                        org.apache.http.protocol.HttpContext httpContext)
                 throws org.apache.http.HttpException,
                        IOException

  Specified by:
    `process` in interface `org.apache.http.HttpRequestInterceptor`
  Throws:
    `org.apache.http.HttpException`
    `IOException`

Copyright © 2014 The Apache Software Foundation. All rights reserved.